## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.Vertex3D

A 3d vertex, ususally used in MeshBuffers

Class Overview
CL3D.Vertex3D(init)
A 3d vertex, ususally used in MeshBuffers

Parameters:
{Boolean} init
  set to true to let the vertex members (Position, Normal etc) be initialized with instances of classes, false if not.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| Color Color of the vertex
| Normal Normal of the vertex
| Pos 3D Position of the vertex
| TCoords Texture coordinate 1 of the vertex
| TCoords2 Texture coordinate 2 of the vertex

Field Detail
{int} Color
Color of the vertex

{Vertex3d} Normal
Normal of the vertex

{Vertex3d} Pos
3D Position of the vertex

{Vertex3d} TCoords
Texture coordinate 1 of the vertex

{Vertex3d} TCoords2
Texture coordinate 2 of the vertex

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit